<?xml version="1.0" encoding="utf-8"?> 
<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:dialog widgetVar="generarCargaDialog" header="Detalles de Recaudo" 
                  showEffect="clip" hideEffect="clip">
            <p:panelGrid id="panelCarga" columns="4">
                <f:facet name="header">Registro de Cargas</f:facet>

                <h:outputText value="PESO"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.peso}"/>

                <h:outputText value="VOLUMEN"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.volumen}"/>

                <h:outputText value="ALTURA (cm)"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.altura}"/>

                <h:outputText value="ANCHO (cm)"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.ancho}"/>

                <h:outputText value="LARGO (cm)"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.largo}"/>

                <h:outputText value="VALOR CARGA (cop)"/>
                <p:inputText value="#{solicitudesBean.nuevaCagra.valorcarga}"/>

                <h:outputText value="RESPONSABLE POLIZA"/>
                <p:selectOneMenu value="#{solicitudesBean.nuevaCagra.responsablepoliza}" style="width: 150px">
                    <f:selectItem itemLabel="Seleccione Rol"/>
                    <f:selectItems value="#{solicitudesBean.listadoResponsablePoliza}"/>
                </p:selectOneMenu>

                <p:commandButton value="Guardar" class="botonbuscador" update="serviciosForm:tablaCarga, panelCarga" 
                                 action="#{solicitudesBean.agregarCarga()}"/>
                <p:commandButton id="exitButtonBitacora" value="Salir"
                                 oncomplete="PF('generarCargaDialog').hide();" />
            </p:panelGrid>
        </p:dialog>
    </h:form>
</ui:composition>
